import { useRecoilValue } from 'recoil';
import { breakpointWidth } from "../../../atoms/breakpoint/index.js";

/**
 * Get the width of the current breakpoint measurement as a numerical pixel
 * value.
 */
const useBreakpointWidth = function useBreakpointWidth(key = 'window') {
  return useRecoilValue(breakpointWidth(key));
};
export default useBreakpointWidth;